### 5.1.7 charstr

`Syntax:`
  `charstr (` ring_name `)`
`Type:`
  string
`Purpose:`
  returns the description of the coefficient field of a ring. (Tests for certain types of coefficients should use the routines from `ring.lib` as the string representation may change.)
`Example:`

        ring r=32003,(x,y),dp;
        charstr(r);
      ==> ZZ/32003
        ring s=0,(x,y),dp;
        charstr(s);
      ==> QQ
        ring ra=(7,a),(x,y),dp;
        minpoly=a^3+a+1;
        charstr(ra);
      ==> 7,a
        ring rp=(49,a),(x,y),dp;
        charstr(rp);
      ==> 49,a
        ring rr=real,x,dp;
        charstr(rr);
      ==> Float()

See char; ordstr; ring; ring_lib; varstr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.